/**************************\
  Basic Modal Styles
\**************************/
/* section */
.modal .section {
padding-top: 80px;
padding-bottom: 80px;
}

.section__inner {
padding-right: 80px;
padding-left: 80px;
}

.section__title {
font-size: 40px;
}

.section__text {
margin-top: 24px;
line-height: 2;
}

.section__button-wrapper {
max-width: 320px;
margin: 48px auto;
border: solid 4px #000;
text-align: center;
}

/* Button */
.button {
width: 100%;
height: 100%;
padding: 10px;
background-color: #000;
color: #fff;
font-weight: 700;
font-size: 24px;
transition: 0.3s;
}

.button:hover,
.button:focus {
background: transparent;
color: #000;
}

/* Modal */

.modal__overlay {
display: flex;
justify-content: center;
align-items: center;
position: fixed;
top: 0;
right: 0;
bottom: 0;
left: 0;
background: rgba(0, 0, 0, 0.6);
backdrop-filter: blur(2px);
width: 100%;
height: 120%;
}

.modal__container {
max-width: 700px;
padding: 0;
background-color: #fff;
border-radius: 30px;
box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.5);
overflow: visible;
position: relative;
}
.modal__header {
display: flex;
justify-content: space-between;
align-items: center;
position: relative;
background: #FF8A00;
color: #FFF;
border-radius: 30px 30px 0 0;
width: 100%;
height: 90px;
}
.modal__title {
font-family: 'Zen Kaku Gothic', sans-serif;
font-weight: 600;
font-size: 2rem;
position: relative;
z-index: 1;
line-height: 2;
width: 100%;
text-align: center;
}
.modal__title img {
  margin: 0 auto;
  display: block;
  width: auto;
  height: 46px;
}
.modal__close {
  position: absolute;
  background: #000;
  color: #FFF;
  border: 0;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  top: 0;
  right: -60px;
  box-sizing: border-box;
  z-index: 9999;
  outline: none;
}
.modal__close img {
  display: block;
  width: 20px;
  height: 20px;
}
.modal__flex {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: stretch;
  padding: 30px;
}
.modal__flex .modal__image,
.modal__flex .modal__text {
  margin: 0;
  padding: 0;
  width: 370px;
  height: 100%;
  display: block;
  overflow: hidden;
}
.modal__content {
margin-top: 0;
margin-bottom: 0;
padding: 0;
}
.modal__flex .modal__image img {
  display: block;
  width: 370px;
  height: 230px;
}
.modal__flex .modal__text {
  margin: 0 0 0 30px;
  padding: 0;
  height: auto;
}
@media all and (max-width:766.98px) {
  .modal__overlay {
    height: 140%;
    overflow: scroll;
  }
  .modal__container {
    max-width: 88%;
    height: 80vh;
    position: absolute;
    top: 20vw;
    overflow: scroll;
  }
  .modal__header {
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    height: auto;
    padding: 0;
  }
  .modal__title {
    padding: 5px;
    font-size: 1.4rem;
  }
  .modal__title img {
    margin: 2vw auto;
    display: block;
    width: auto;
    height: 6vw;
  }
  .modal__close {
    width: 14vw;
    height: 14vw;
    top: 14vw;
    right: 4vw;
    position: fixed;
  }
  .modal__close img {
    width: 6vw;
    height: 6vw;
  }
  .modal__flex {
    flex-direction: column;
    justify-content: flex-start;
    padding: 20px;
    overflow-y: scroll;
  }
  .modal__flex .modal__image,
  .modal__flex .modal__text {
    width: 100%;
    height: auto;
  }
  .modal__flex .modal__image img {
    width: 100%;
    height: 55vw;
    margin-bottom: 20px;
  }
  .modal__text {
    margin-bottom: 30px;
  }
  .modal__flex .modal__text {
    margin: 0 auto;
  }
}

.modal__text .iconBalloon{
  margin: 0 auto;
  padding: 0;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-content: stretch;
}
.modal__text .iconBalloon.iconDr{
  margin-bottom: 23px;
}
.modal__text .iconBalloon.iconJuno,
.modal__text .iconBalloon.iconSn,
.modal__text .iconBalloon.iconCg {
  flex-direction: row-reverse;
}
.modal__text .iconBalloon dt {
  width: 85px !important;
  height: 85px !important;
}
.modal__text .iconBalloon.iconDr dt,
.modal__text .iconBalloon.iconJuno dt,
.modal__text .iconBalloon.iconSn dt,
.modal__text .iconBalloon.iconCg dt {
  margin: 0;
  padding: 0;
  width: 85px;
  height: 85px;
}
.modal__text .iconBalloon.iconDr dt {
  background: url(../img/modal/icon_dr.png) no-repeat top center;
  background-size: contain;
}
.modal__text .iconBalloon.iconJuno dt {
  background: url(../img/modal/icon_jn.png) no-repeat top center;
  background-size: contain;
}
.modal__text .iconBalloon.iconSn dt {
  background: url(../img/modal/icon_sn.png) no-repeat top center;
  background-size: contain;
}
.modal__text .iconBalloon.iconCg dt {
  background: url(../img/modal/icon_cg.png) no-repeat top center;
  background-size: contain;
}

.modal__text .iconBalloon dd {
  padding: 0;
  font-size: 0.8rem;
  line-height: 1.8;
  width: 240px;
  overflow: visible;
  position: relative;
  border-radius: 10px;
}
.modal__text .iconBalloon.iconDr dd{
  margin-left: 15px;
}
.modal__text .iconBalloon.iconJuno dd,
.modal__text .iconBalloon.iconSn dd,
.modal__text .iconBalloon.iconCg dd{
  margin-right: 15px;
}

.modal__text .iconBalloon.iconDr dd{
  background: #B5C4ED;
}
.modal__text .iconBalloon.iconJuno dd {
    background: #B4E5C5;
}
.modal__text .iconBalloon.iconSn dd {
    background: #FFD1E5;
}
.modal__text .iconBalloon.iconCg dd {
    background: #FCEF8B;
}
.modal__text .iconBalloon dd p {
  font-family: 'Zen Maru Gothic', sans-serif;
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.8;
  padding: 15px;
}
.modal__text .iconBalloon.iconJuno dd p,
.modal__text .iconBalloon.iconSn dd p,
.modal__text .iconBalloon.iconCg dd p{
  line-height: 4;
}
.modal__text .iconBalloon.iconSn:last-child dd p{
  line-height: 2;
}

.modal__text .iconBalloon.iconJuno dd::after,
.modal__text .iconBalloon.iconSn dd::after,
.modal__text .iconBalloon.iconCg dd::after{
  top: 20px;
  border: 10px solid transparent;
  content: '';
  height: 0;
  width: 0;
  pointer-events: none;
  position: absolute;
  border-color: rgba(0, 0, 0, 0);
  border-top-width: 10px;
  border-bottom-width: 10px;
  border-left-width: 10px;
  border-right-width: 10px;
  right: -5px;
  transform: rotate(45deg);
}
.modal__text .iconBalloon.iconDr dd::before {
  top: 20px;
  border: 10px solid transparent;
  content: '';
  height: 0;
  width: 0;
  pointer-events: none;
  position: absolute;
  border-color: rgba(0, 0, 0, 0);
  border-top-width: 10px;
  border-bottom-width: 10px;
  border-left-width: 10px;
  border-right-width: 10px;
  border-left-color: #B5C4ED;
  left: -5px;
  transform: rotate(-45deg);
}
.modal__text .iconBalloon.iconJuno dd::after {
  border-right-color: #B4E5C5;
}
.modal__text .iconBalloon.iconSn dd::after {
  border-right-color: #FFD1E5;
}
.modal__text .iconBalloon.iconCg dd::after {
  border-right-color: #FCEF8B;
}
@media all and (max-width:766.98px) {
  .modal__text .iconBalloon.iconDr{
    margin-bottom: 20px;
    padding: 0;
  }
  .modal__text .iconBalloon dt,
  .modal__text .iconBalloon.iconDr dt,
  .modal__text .iconBalloon.iconJuno dt,
  .modal__text .iconBalloon.iconSn dt,
  .modal__text .iconBalloon.iconCg dt {
    width: 60px !important;
    height: 60px !important;
  }
  .modal__text .iconBalloon dd {
    width: calc(100% - 70px);
  }
  .modal__text .iconBalloon dd p {
    font-size: 0.8rem;
  }
}

/* Animation */
@keyframes mmfadeIn {
from {
opacity: 0;
}
to {
opacity: 1;
}
}

@keyframes mmfadeOut {
from {
opacity: 1;
}
to {
opacity: 0;
}
}

@keyframes mmslideIn {
from {
transform: translateY(10%);
}
to {
transform: translateY(0);
}
}

@keyframes mmslideOut {
from {
transform: translateY(0);
}
to {
transform: translateY(-10%);
}
}

.micromodal-slide {
display: none;
}

.micromodal-slide.is-open {
display: block;
filter: blur(30%);
width: 100vw;
height: 100vw;
z-index: 9999;
position: absolute;
top: 0;
left: 0;
}

.micromodal-slide[aria-hidden="false"] .modal__overlay {
animation: mmfadeIn 0.8s cubic-bezier(0.34, 0.07, 0.095, 0.995);
}

.micromodal-slide[aria-hidden="false"] .modal__container {
animation: mmslideIn 0.8s cubic-bezier(0.34, 0.07, 0.095, 0.995);
}

.micromodal-slide[aria-hidden="true"] .modal__overlay {
animation: mmfadeOut 0.8s cubic-bezier(0.34, 0.07, 0.095, 0.995);
}

.micromodal-slide[aria-hidden="true"] .modal__container {
animation: mmslideOut 0.8s cubic-bezier(0.34, 0.07, 0.095, 0.995);
}
